Retrieve all credentials for a user
curl --request GET \
--url https://production.runalloy.com/credentials/users/{userId} \
--header 'Authorization: <authorization>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://production.runalloy.com/credentials/users/{userId}"
headers = {
"Authorization": "<authorization>",
"x-api-version": "<x-api-version>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-version': '<x-api-version>'}
};
fetch('https://production.runalloy.com/credentials/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"credentialId": "66fb066c3793749b64c214bc",
"type": "shopify",
"name": "Shopify alloy-sandbox.myshopify.com",
"createdAt": "2024-09-30T20:13:32.491Z",
"updatedAt": "2024-09-30T20:13:32.522Z"
}
]
}Credentials
Retrieve all credentials for a user
Returns a list of all credentials created for a specified user.
GET
/
credentials
/
users
/
{userId}
Retrieve all credentials for a user
Headers
The version of the API to use. The current API version is 2025-09.
Path Parameters
The id of the currently logged in user
Response
200 - application/json
200
Show child attributes
Show child attributes
⌘I

